## git-secrets 1.2.1+c11c229

=== Makefile ===
PREFIX ?= /usr/local
MANPREFIX ?= "${PREFIX}/share/man/man1"

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  test     to perform unit tests."
	@echo "  man      to build the man file from README.rst"
	@echo "  install  to install. Use PREFIX and MANPREFIX to customize."

# We use bats for testing: https://github.com/sstephenson/bats
test:
	test/bats/bin/bats test/

# The man page is completely derived from README.rst. Edits to
# README.rst require a rebuild of the man page.
man:
	rst2man.py README.rst > git-secrets.1

install:
	@mkdir -p ${DESTDIR}${MANPREFIX}
	@mkdir -p ${DESTDIR}${PREFIX}/bin
	@cp -f git-secrets ${DESTDIR}${PREFIX}/bin
	@cp -f git-secrets.1 ${DESTDIR}${MANPREFIX}

.PHONY: help test man

## git-secrets 1.3.0

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 # We use bats for testing: https://github.com/sstephenson/bats
 test:
-	test/bats/bin/bats test/
+	LANG=C test/bats/bin/bats test/
 
 # The man page is completely derived from README.rst. Edits to
 # README.rst require a rebuild of the man page.

=== debian/changelog ===
git-secrets (1.3.0-7) unstable; urgency=medium

  * Ignore build-time modifications to generated file (closes: #1044819).

 -- Francois Marier <francois@debian.org>  Thu, 07 Sep 2023 23:01:06 -0700

git-secrets (1.3.0-6) unstable; urgency=medium

  * Update 02-remove-say.patch to match merged upstream commit.
  * Fix typo in patches ("Last-Updated:").
  * Bump copyright year in debian/copyright.

 -- Francois Marier <francois@debian.org>  Tue, 20 Jun 2023 17:12:45 -0700

git-secrets (1.3.0-5) unstable; urgency=medium

  * Backport upstream fix for tests (closes: #1026724).
  * Remove use of the "say" command.
  * Update watch file to account for GitHub changes.
  * Bump Standards-Version to 4.6.2.
  * Bump copyright year in debian/copyright.

 -- Francois Marier <francois@debian.org>  Tue, 20 Dec 2022 15:38:47 -0500

git-secrets (1.3.0-4) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1.
  * Bump copyright year in debian/copyright.
  * Bump debian/watch up to version 4.
  * Add upstream metadata file.

 -- Francois Marier <francois@debian.org>  Mon, 18 Jan 2021 23:07:22 -0800

git-secrets (1.3.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Bump debhelper-compat to 13.
  * Build without root.
  * Fix case of Vcs-Git field in debian/control.

 -- Francois Marier <francois@debian.org>  Fri, 21 Aug 2020 22:24:26 -0700

git-secrets (1.3.0-2) unstable; urgency=medium

  * Bump debhelper compat to 12

 -- Francois Marier <francois@debian.org>  Fri, 01 Mar 2019 22:21:06 -0800

git-secrets (1.3.0-1) unstable; urgency=medium

  * New upstream release:
    - Drop existing patches since they were applied upstream.
  * Generate the manpage from the README file.
  * Add patch to fix rst2man warning.
  * Make this package `Multi-Arch: foreign`.

 -- Francois Marier <francois@debian.org>  Sun, 10 Feb 2019 13:13:24 -0800

git-secrets (1.2.1+c11c229-2) unstable; urgency=medium

  * Add missing build dependency on git.
  * Update two of the patches based on upstream pull requests.
  * Make this an `arch: all` package since it's written in shell.

 -- Francois Marier <francois@debian.org>  Tue, 15 Jan 2019 08:33:45 -0800

git-secrets (1.2.1+c11c229-1) unstable; urgency=low

  * Initial release. Closes: #919312

 -- Francois Marier <francois@debian.org>  Mon, 14 Jan 2019 12:40:14 -0800

=== debian/control ===
Source: git-secrets
Section: vcs
Priority: optional
Maintainer: Francois Marier <francois@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 git,
 python3-docutils,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/awslabs/git-secrets
Vcs-Git: https://salsa.debian.org/debian/git-secrets.git
Vcs-Browser: https://salsa.debian.org/debian/git-secrets

Package: git-secrets
Architecture: all
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Prevents accidental commits of credentials
 git-secrets scans commits, commit messages, and --no-ff merges
 to prevent adding secrets into your git repositories. If a commit,
 commit message, or any commit in a --no-ff merge history matches
 one of your configured prohibited regular expression patterns,
 then the commit is rejected.

=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
#export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build $@
	rst2man README.rst > git-secrets.1

override_dh_auto_install:
	PREFIX=/usr dh_auto_install $@

override_dh_auto_test:
	mkdir -p $(CURDIR)/debian/testtmp
	TMPDIR=$(CURDIR)/debian/testtmp dh_auto_test $@

=== debian/watch ===
version=4
https://github.com/awslabs/git-secrets/tags /awslabs/git-secrets/archive/refs/tags/([0-9.]+)\.tar\.gz
